ClusterReceiver (Tomcat API Documentation)
Keywords: org.apache.catalina.cluster.ClusterReceiver interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster
Interface ClusterReceiver

All Known Implementing Classes:
  ClusterReceiverBase

public interface ClusterReceiver

Cluster Receiver Interface

Version:
  $Id: ClusterReceiver.java 939539 2010-04-30 01:31:33Z kkolinko $
Author:
  Filip Hanik, Peter Rossbach

Method Summary
`CatalinaCluster` | `getCatalinaCluster()` get Callback.
`java.lang.String` | `getHost()` get the listing ip interface
`int` | `getPort()` get the listing ip port
`boolean` | `isCompress()`
`boolean` | `isSendAck()` Send Ack to sender or not.
`void` | `setCatalinaCluster(CatalinaCluster cluster)` set callback.
`void` | `setCompress(boolean compress)`
`void` | `setSendAck(boolean isSendAck)` set ack mode
`void` | `start()` Start message listing
`void` | `stop()` Stop message listing

Method Detail

### start

    public void start()
               throws java.io.IOException

  Start message listing

  Throws:
    `java.io.IOException`

### stop

    public void stop()

  Stop message listing

### setCatalinaCluster

    public void setCatalinaCluster(CatalinaCluster cluster)

  set callback.

  Parameters:
    `cluster` - The cluster

### getCatalinaCluster

    public CatalinaCluster getCatalinaCluster()

  get Callback.

  Returns:
    The cluster

### isSendAck

    public boolean isSendAck()

  Send Ack to sender or not.

  Returns:
    The flag value

### setSendAck

    public void setSendAck(boolean isSendAck)

  set ack mode

  Parameters:
    `isSendAck` -

### isCompress

    public boolean isCompress()

### setCompress

    public void setCompress(boolean compress)

### getHost

    public java.lang.String getHost()

  get the listing ip interface

  Returns:
    The host

### getPort

    public int getPort()

  get the listing ip port

  Returns:
    The port

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.